Page MenuHomePhabricator

Entity id isn't shown anywhere on a diff page
Closed, ResolvedPublic

Description

See for instance this diff. Which item's revisions are compared?

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptNov 21 2017, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thiemowmde triaged this task as Low priority.Dec 11 2017, 9:58 AM
thiemowmde moved this task from incoming to ready to go on the Wikidata board.
Restricted Application added a project: Design. · View Herald TranscriptDec 11 2017, 9:58 AM

Hey @matej_suchanek

to make the problem more clear to people new to this issue (like me), and for future understanding, it would be helpful to fill out this template:

User Story: As a user, I want to _________ so I can _________

Context of use: I assume the user would like to _______ because___

Current Problems: Currently, _________. This is not good, because ________

Possible Solution: One way to improve the situation for the user is

As a user:

  1. I expect the title of a diff view to be identical to the title of the actual content page. The later shows the entity ID in brackets, but diff views don't.
  2. I want to be able to identify the entity (by ID) when I look at a diff.

Example: https://www.wikidata.org/wiki/Special:Diff/324987702 is a diff for Q300901, but "Q300901" is nowhere to be seen, not even in the URL.

I added this ticket to the WMDE-Design board because diff views are quite cramped and I can not think of an obvious place to show the entity ID. A trivial solution would be to add "(Q300901)" to the title, but this is not very nice and problematic in RTL languages and such.

Yeah, it doesn’t look very nice to add the bracketed entity ID to the title in its usual style, IMHO:


Not even if you move it outside the quotation marks:

Jan_Dittrich added a comment.EditedJan 8 2018, 9:42 AM

It does not look nice, indeed. On the other hand, I assume it was never designed systematically (in the sense of "If we put IDs in the header, where else do we use this element?"). So I would frame it as a bit of (non-wicked) design debt. Like with technical debt, we might want to refactor it.

I would put the qID in the " "

Why? – Semantically we have 2 elements here:

  • the Explanation text ("Difference between revisions of") and…
  • the page title and the ID, both being different ways to point to the same concept.

Currently, we have the " " as the separator. They should remain the separator (to keep semantic clarity), even if it looks not awesome.
But actually, " " should be HTML tags that mark up the parts and then we could apply other styling than "" (The "" correspond to a pattern I also see in other areas of MW, where chaining strings seems to have been the way to go to highlight semantical difference, so there are characters like ", | , [ instead of tags)
You may know this from scientific (or other highly structured publications where book titles that are cited rarely appear as "War and Peace" but nicer as War and Peace (good writing tools also allow "" but they are inserted automatically by your citation management)

For a possible refactoring:

  • Put tags where the "" are and reintroduce them via CSS::after /::before (so no visual change done. but a better code structure)
  • When we have a style they should have, just lets change the CSS. For example, the explanations could always be italic, the referred-to things like the page and its qID could be normal style.

Put tags where the "" are and reintroduce them via CSS::after /::before (so no visual change done. but a better code structure)

The <q> element, which seems semantically appropriate here (“short inline quotation”), is actually styled with quotation marks by default in most browsers. (Though we might want to substitute the default “typographical quotation marks” for «other ones», „depending“ on »language«.)

Change 403358 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Show EntityId in diff page too

https://gerrit.wikimedia.org/r/403358

Change 403448 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Move code displaying EntityId on diff pages

https://gerrit.wikimedia.org/r/403448

Change 403358 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Show EntityId in diff page too

https://gerrit.wikimedia.org/r/403358

Change 403448 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Move code displaying EntityId on diff pages

https://gerrit.wikimedia.org/r/403448

@thiemowmde @Ladsgroup Is this ticket resolved or is there additional Ux-work needed?

thiemowmde closed this task as Resolved.Jan 31 2018, 12:32 PM
thiemowmde assigned this task to Ladsgroup.
thiemowmde removed a project: Patch-For-Review.

Appears to be resolved. This is how it currently looks on my local test system:

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 31 2018, 12:32 PM